# react-echarts

> react封装echarts的图表组件库，使用ES6+typescript（感悟：echarts这玩意，强大的，只有想不到的 ，没有做不到的）

## 示例-基本图表（可使用该组件库）

### 折线图

* 基本折线图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/line-common.png)

### 柱状图

* 基本柱状图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/bar-common.png)

### 饼图

* 基本饼图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/pie-common.png)

### 地图

* 基本地图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/map-common.png)

* 省份地图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/map-province.png)

### 散点图

* 基本散点图

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/scatter-common.png)

## 其他示例-特殊图表（某些可使用该组件库，某些不可使用）

### 翻转柱状图（特殊图表，组件适用）

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/bar-rolling.png)

### 自动滚动翻转柱状图（单axis）(特殊图表，组件不适用，单独开发)

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/bar-automatic-rolling-one-axis.gif)

### 自动滚动翻转柱状图（双axis）(特殊图表，组件不适用，单独开发)

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/bar-automatic-rolling-two-axis.gif)

### 类仪表盘饼图（特殊图表，组件不适用，单独开发）

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/pie-gauge.gif)

### 大屏地图-样式1（特殊图表，组件适用）

![](https://github.com/liuyuqin1991/react-echarts/blob/master/md-images/map-screen-one.gif)


## 安装

`npm install @liuyuqin/react-echarts`

## 使用

`import {LineCharts ....} from '@liuyuqin/react-echarts';`

## 二次开发项目运行

`npm run start`

## 示例

[见demo代码](https://github.com/liuyuqin1991/react-for-echarts/blob/master/src/demos/index.tsx)

## 其他

[版本分支升级概述](https://github.com/liuyuqin1991/react-for-echarts/blob/master/CHANGELOG.md)

## License

@liuyuqin/react-echarts is open source software licensed as MIT.

